package com.pon3gaming.cloudfall;

import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockDamageEvent;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.player.PlayerMoveEvent;

import com.pon3gaming.cloudfall.CloudFallListener;

public class CloudFallListener implements Listener {
	@EventHandler
	public void onMove(PlayerMoveEvent event) {
		Player player = event.getPlayer();
		Location loc = player.getLocation();
		loc.setY(loc.getY() - 1);
		int theint = 1;
		if (!player.hasPermission("pegfly.fly")
				&& loc.getWorld().getBlockTypeIdAt(loc) == 80) {
			int block = loc.getWorld().getBlockTypeIdAt(loc);
			for (; block != 0 && theint < 10; loc.setY(loc.getY() - 1)) {
				theint++;
				block = loc.getWorld().getBlockTypeIdAt(loc);
			}
				player.teleport(loc);
		}
	}

	@EventHandler(ignoreCancelled = true)
	public void onPegBuild(BlockPlaceEvent event) {
		Player player = event.getPlayer();
		if (!player.hasPermission("pegfly.fly")
				&& event.getBlock().getType() == Material.SNOW_BLOCK) {
			event.setCancelled(true);
		}
	}

	@EventHandler(ignoreCancelled = true)
	public void onInteract(BlockDamageEvent event) {
		Player player = event.getPlayer();
		if (!player.hasPermission("pegfly.fly")
				&& event.getBlock().getType() == Material.SNOW_BLOCK) {
			event.setCancelled(true);
		}
	}

}