package com.pon3gaming.pegasusfly;

import java.util.ArrayList;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

public class PegasusFly extends JavaPlugin {
	public static ArrayList<String> isPegged = new ArrayList<String>();
	public static ArrayList<String> foodRemoval = new ArrayList<String>();

	@Override
	public void onEnable() {
		PluginManager pm = this.getServer().getPluginManager();
		pm.registerEvents(new PegasusFlyListener(), this);
		Bukkit.getScheduler().scheduleSyncRepeatingTask(this, new Runnable() {
			@Override
			public void run() {
				Player[] players = Bukkit.getOnlinePlayers();
				if (players.length > 0) {
					for (Player p : players) {
						if (PegasusFly.isPegged.contains(p.getName())
								&& !p.hasPermission("pegfly.nocost")
								&& p.isFlying()) {
							p.setFoodLevel(p.getFoodLevel() - 1);
						}
					}
				}
			}
		}, 0L, 140L);
		System.out.println("PegasusFly has been enabled.");
	}

	@Override
	public void onDisable() {
		System.out.println("PegasusFly has been disabled.");
	}
}